-- (c) David Cunningham 2009, Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php

echo ("Loading common assets")

include "map_classes.lua"

include "phys_mats.lua"

include "props/init.lua"

include "buildings/init.lua"

include "particles/init.lua"


function make_lots_of_robots(xmin,xmax,xspc,ymin,ymax,yspc,height)
    xmin = xmin or -1000
    xmax = xmax or 1000
    xspc = xspc or 100
    ymin = ymin or -1000
    ymax = ymax or 1000
    yspc = yspc or 100
    height = height or 0
    for x=xmin,xmax,xspc do
        for y=ymin,ymax,yspc do
            local n=sm.root:createChild()
            n.position=Vector3(x,y,height)
            n.orientation = Q_UP
            n:attachObject(sm:createEntity(x..","..y,"Ogre/Robot.mesh"))
        end
    end
end

ui:bind("1", function() player_ctrl:fire("props/debug/crates/Small") end, nil, true)
ui:bind("2", function() player_ctrl:fire("props/debug/crates/Big") end, nil, true)
ui:bind("3", function() player_ctrl:fire("props/debug/crates/Long") end, nil, true)
ui:bind("4", function() player_ctrl:fire("props/debug/CannonBall") end, nil, true)
ui:bind("5", function() player_ctrl:fire("props/bowling/Ball") end, nil, true)
ui:bind("6", function() player_ctrl:fire("props/bowling/Pin") end, nil, true)  
ui:bind("7", function() player_ctrl:fire("props/debug/JengaBrick") end, nil, true)  
ui:bind("8", function() player_ctrl:fire("props/street/TrafficCone") end, nil, true)

ui:bind("t", function() place("props/street/TrafficCone") end)
ui:bind("y", function() place("props/race_track/Tyre") end)
ui:bind("u", function() place("props/junk/PizzaBox") end) 
ui:bind("i", function() place("props/furniture/WorkBench") end)

ui:bind("j", function() player_ctrl:fire("props/junk/PizzaBox") end, nil, true)
ui:bind("k", function() player_ctrl:fire("props/debug/Cube1") end, nil, true)
ui:bind("o", function() player_ctrl:fire("/vehicles/EvoChassis") end, nil, true)
ui:bind("p", function() player_ctrl:fire("/vehicles/SeatChassis") end, nil, true)
ui:bind("[", function() player_ctrl:fire("/vehicles/FocusChassis") end, nil, true)
ui:bind("#", function() player_ctrl:fire("/vehicles/MotorBikeChassis") end, nil, true)
ui:bind("]", function() player_ctrl:fire("/vehicles/NovaChassis") end, nil, true)

ui:bind("m", function() player_ctrl:fire("/vehicles/Bonanza") end, nil, true)
