-- (c) David Cunningham 2009, Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php

print("loading abbrev.lua")

function quit()
        main:quit()
end

-- use globals to avoid memory allocation and subsequent GC overhead when creating a closure
local class_ext
local class_name

local function class3 (tab)
        return streamer:addClass(class_name,class_ext,tab)
end

local function class2 (ext)
        class_ext = ext
        return class3
end

function class (name)
        class_name = name
        return class2
end
        

local obj_class
local obj_x, obj_y, obj_z

local function object3 (tab)
        return streamer:addObject(obj_class,obj_x,obj_y,obj_z,tab)
end

local function object2 (x,y,z)
        obj_x, obj_y, obj_z = x,y,z
        return object3
end

function object (class)
        obj_class = class
        return object2
end
        

-- vim: shiftwidth=8:tabstop=8:expandtab
